Rune OHLC data
curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/markets/dexs/ohlc/{dex}/{symbol} \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/markets/dexs/ohlc/{dex}/{symbol}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/markets/dexs/ohlc/{dex}/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"bucket": "2024-03-25T14:00:00Z",
"close": 19.75,
"high": 20,
"low": 19.25,
"open": 19.5,
"symbol": "BTC-840000:28",
"volume": 3780
}
]
}{
"error": "Bad Request"
}{
"error": "Bad Request"
}DEX
Rune OHLC data
Get OHLC (Open, High, Low, Close) price data for Bitcoin Runes trading pairs on DEXs with historical candles.
GET
/
dexs
/
ohlc
/
{dex}
/
{symbol}
Rune OHLC data
Authorizations
Project API Key
Path Parameters
Name of the DEX
Available options:
all, magiceden, dotswap Symbol of the Rune asset trading pair (BTC-Rune ID)
Query Parameters
Mempool mode
Available options:
included, excluded, only Time resolution (1m, 5m, 15m, 30m, 1h, 4h, 1d, 1w, 1M)
Available options:
1m, 5m, 15m, 30m, 1h, 4h, 1d, 1w, 1M Start timestamp in Unix
End timestamp in Unix
Limit number of Runes returned (min: 1, max: 50000)
Required range:
1 <= x <= 50000Sort by descending (desc) or ascending (asc)
Available options:
asc, desc Fill candles with no trades with synthetic data (OHLC filled with previous closing price, volume=0)
Response
OK
Show child attributes
Show child attributes
Was this page helpful?

